Bug 151225 - CS4232 module missing. Audio device not listed in hwconf.
CS4232 module missing. Audio device not listed in hwconf.
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 23:21 EST by Mark Eackloff
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-08 13:34:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Eackloff 2005-03-15 23:22:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6)
Gecko/20050225 Firefox/1.0.1 Red Hat/1.0.1-1.4.3

Description of problem:
No sound.  Audio device not listed in sysconfig/hwconf.  No module
installed for sound card, (onboard cs4232).

Under RHEL3, my hwconf showed three entries for the audio class.  My
current RHEL4 shows no entries for audio devices.

Version-Release number of selected component (if applicable):
kudzu-1.1.95.8-1

How reproducible:
Always

Steps to Reproduce:
1.  Install RHEL4 on a box that has an onboard cs4232 sound card.
2.  Do anything that would cause sound to come out of speakers.
    

Actual Results:  Absence of sound.
Absence of entries for audio devices in hwconf.
Absence of a cs4232.o file anywhare below /lib/modules

Expected Results:  Sound.
Entries in hwconf for an audio class device.

Additional info:

Up2date with kernel-2.6.9-5.0.3.ELsmp
Comment 1 Bill Nottingham 2005-03-16 12:48:08 EST
That module is not included.
Comment 2 John W. Linville 2005-11-08 13:34:14 EST
It is an ISA device.  I don't think we will be supporting ISA devices. 

Note You need to log in before you can comment on or make changes to this bug.